# Quat File Reference

`#include <osg/Export>`
`#include <osg/Vec3f>`
`#include <osg/Vec4f>`
`#include <osg/Vec3d>`
`#include <osg/Vec4d>`

Include dependency graph for Quat:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osg

## Defines

#define | OSG_QUAT 1

## Functions

std::ostream & | operator<< (std::ostream &output, const Quat &vec)

## Define Documentation

#define OSG_QUAT 1

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | output,
|  | const Quat & | vec
| ) | `[inline]`